with GNATCOM.Dispinterface;

package MSHTML.ISVGAnimatedLengthList_Interface is

   type ISVGAnimatedLengthList_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGAnimatedLengthList_Type);

   function Pointer (This : ISVGAnimatedLengthList_Type)
     return Pointer_To_ISVGAnimatedLengthList;

   procedure Attach (This    : in out ISVGAnimatedLengthList_Type;
                     Pointer : in     Pointer_To_ISVGAnimatedLengthList);

   procedure PutRef_baseVal
     (This : ISVGAnimatedLengthList_Type;
      p    : Pointer_To_ISVGLengthList);

   function Get_baseVal
     (This : ISVGAnimatedLengthList_Type)
     return Pointer_To_ISVGLengthList;

   procedure PutRef_animVal
     (This : ISVGAnimatedLengthList_Type;
      p    : Pointer_To_ISVGLengthList);

   function Get_animVal
     (This : ISVGAnimatedLengthList_Type)
     return Pointer_To_ISVGLengthList;

end MSHTML.ISVGAnimatedLengthList_Interface;

